Bug 495233 - Fedora boot up hangs on "rport-4:0:-3: blocked FC remote port timeout: removing rport".
Fedora boot up hangs on "rport-4:0:-3: blocked FC remote port timeout: removi...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
x86_64 Linux
low Severity urgent
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 513460
  Show dependency treegraph
 
Reported: 2009-04-10 11:40 EDT by chris.carll
Modified: 2010-06-28 07:47 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:47:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Console output (715 bytes, text/plain)
2009-04-13 17:26 EDT, chris.carll
no flags Details

  None (edit)
Description chris.carll 2009-04-10 11:40:24 EDT
Description of problem:
Fedora boot up hangs on "rport-4:0:-3: blocked FC remote port timeout: removing rport".


Version-Release number of selected component (if applicable): Fedora Beta 11


How reproducible:
Configure a boot from SAN using Emulex LPe11002 adapter card and a JBOD disk drive.


Steps to Reproduce:
1. Install an Emulex LPe11002 adapter and JBOD.
2. Install Fedora Beta 11 OS.
3. During first reboot, the above error message will appear and the system hangs.
  
Actual results:
A hung system


Expected results:
An operational OS and server.


Additional info:
Comment 1 Mike Christie 2009-04-10 13:12:53 EDT
scsi-target-utils allows your box to act as target. Moving this BZ to kernel since this is a fc class and initiator driver issue.
Comment 2 Mike Christie 2009-04-10 13:14:30 EDT
For this bug, is the root disk accessed through the rprot-4:0-3?

Does the link go down or is there a disruption in the SAN that is not corrected? 

Are you using the default dev loss tmo?

Is this easily reproducable?
Comment 3 chris.carll 2009-04-10 13:28:38 EDT
Yes, the root disk is accessed through rport-4:0-3.
The link does not go down. The status LEDs on the Emulex adapter appear normal.
I'm using the default dev loss tmo.
Yes, this is easily reproducible.
Comment 4 Chuck Ebbert 2009-04-10 19:34:34 EDT
Can you capture the boot messages and post them here? Add 'ignore_loglevel' to the boot options and either use a serial console or at least set a high-resolution video mode and take a picture of the screen.
Comment 5 chris.carll 2009-04-13 17:26:03 EDT
Created attachment 339380 [details]
Console output

Serial port Console output attached.
Comment 6 Bug Zapper 2009-06-09 09:37:10 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-04-27 09:37:20 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-06-28 07:47:45 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.